## oss4-dmo 4.2-build2020

=== debian/changelog ===
oss4-dmo (4.2-build2020-dmo5) unstable; urgency=medium

  * Don't Depends on sysvinit-utils but lsb-base

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Sep 2022 09:06:12 +0200

oss4-dmo (4.2-build2020-dmo4) unstable; urgency=medium

  * Rebuild against dpkg-dev with #1000421 fixed.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Sep 2022 10:17:03 +0200

oss4-dmo (4.2-build2020-dmo3) unstable; urgency=medium

  * Add Ubuntu patches to fix build with Linux 5.1+
      510_fix_makedev_build_failure.patch
      511_fix_kernel_include_files.patch
  * Add Ubuntu patches to fix build with Linux >=5.6
  * oss4-dkms don't need to Depends on dpkg-dev
  * Rename libc-dev --> libc6-dev
  * Update debian/create-ma-tree.sh from Ubuntu
  * Fix undefined HAVE_UNLOCKED_IOCTL since kernel 5.9 in
    514_HAVE_UNLOCKED_IOCTL.patch

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Feb 2022 14:33:14 +0100

oss4-dmo (4.2-build2020-dmo2) unstable; urgency=medium

  * Replace 'which' by 'command -v' in postinst script.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Aug 2021 16:02:47 +0200

oss4-dmo (4.2-build2020-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Jan 2021 08:40:04 +0100

oss4-dmo (4.2-build2019-dmo3) unstable; urgency=medium

  * Replaces deprecated 'dh_clean -k' by dh_prep

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Aug 2019 00:52:58 +0200

oss4-dmo (4.2-build2019-dmo2) unstable; urgency=medium

  * Fix build with 5.2 kernel (Thanks to Klaus Ethgen for the bug report and
    his patience).

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Aug 2019 17:12:48 +0200

oss4-dmo (4.2-build2019-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Mar 2019 01:10:22 +0100

oss4-dmo (4.2-build2017-dmo4) unstable; urgency=medium

  * Fix build for libc 2.28

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 Dec 2018 15:16:21 +0100

oss4-dmo (4.2-build2017-dmo3) unstable; urgency=medium

  * Fix Source: field (oss4 vs oss4-dmo) in oss4-modules package (Thanks
    again to Klaus Ethgen).

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 Jul 2017 15:57:42 +0200

oss4-dmo (4.2-build2017-dmo2) unstable; urgency=medium

  * Add support for 4.11 kernel (Thanks to Klaus Ethgen for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 Jul 2017 11:27:53 +0200

oss4-dmo (4.2-build2017-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Jul 2017 17:48:45 +0200

oss4-dmo (4.2-build2010-dmo1+deb9u1) stable; urgency=medium

  * Upload to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Jul 2017 10:35:21 +0200

oss4 (4.2-build2010-5) unstable; urgency=medium

  * rules: Don't install libasound.so.2 link in liboss4-salsa-dev...
    (Closes: #783301)
  * control: ... make it depend on liboss4-salsa-asound2 instead.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Jan 2016 13:35:48 +0100

oss4 (4.2-build2010-4) unstable; urgency=medium

  * 502_linux_io.patch: Fix build on non-x86 Linux.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Sep 2015 01:37:39 +0200

oss4 (4.2-build2010-3) unstable; urgency=medium

  * debian/include-alsa/alsa/mixer.h: Update enum _snd_mixer_selem_channel_id
    to newer ALSA. Fixes some MATE builds.
  * 501_linux_version.patch: Fix build under Linux 4.x.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Sep 2015 00:25:31 +0200

oss4 (4.2-build2010-2) unstable; urgency=medium

  * Disable USB drivers, which insufficiently validate USB device descriptors.
    (Closes: #775662)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Mar 2015 20:16:31 +0100

oss4 (4.2-build2010-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add dependency on libc-dev for oss4-dkms to avoid build failure when
    compiling the module (Closes: #768394)

 -- Tobias Frost <tobi@debian.org>  Sat, 22 Nov 2014 16:22:36 +0100

oss4 (4.2-build2010-1) unstable; urgency=low

  [ Sebastien NOEL ]
  * New upstream release.
    - fix build with recent kernel. (Closes: #696751)
  * Add build dependency on libtool-bin. (Closes: #761783)

  [ Benda Xu ]
  * Use debhelper 9.
  * Bump to standard 3.9.6.
  * Add Benda Xu to uploaders.
  * Run wrap-and-sort.
  * Canonicalize Vcs-Svn field and add Vcs-Browser field.
  * Get rid of limits.h copy hack, leverage include-fixed from gcc.

 -- Sebastien NOEL <sebastien@twolife.org>  Thu, 23 Oct 2014 22:47:56 +0200

oss4 (4.2-build2007-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix to find kernel header (Michal Suchanek). Closes: #713841.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Oct 2014 13:56:56 +0200

oss4 (4.2-build2007-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761779.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:02:33 +0000

oss4 (4.2-build2007-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Downgrade the linux-headers dependency to recommends.
    (Closes: #728267)

 -- Philipp Kern <pkern@debian.org>  Sat, 23 Nov 2013 15:23:32 +0100

oss4 (4.2-build2007-2) unstable; urgency=medium

  * Revert changes from the previous NMU, it breaks more things
    than it fixes.
  * Until a *tested* patch is proposed, VMIX is now using
    fixed point arithmetic in the kernel.

 -- Sebastien NOEL <sebastien@twolife.org>  Tue, 04 Dec 2012 20:53:17 +0100

oss4 (4.2-build2007-1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable preemption in functions touching control registers 
    - Patch thanks to Roland Stigge (closes: #693659).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 24 Nov 2012 06:55:01 +0000

oss4 (4.2-build2007-1) unstable; urgency=low

  * New upstream release.

