=== debian/watch ===
version=4

http://www.4front-tech.com/developer/sources/stable/gpl/oss-v(.+)-src-gpl\.tar\.bz2
